#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = __importDefault(require("electron"));
const child_process_1 = __importDefault(require("child_process"));
const path_1 = __importDefault(require("path"));
const child = child_process_1.default.spawn(electron_1.default, [path_1.default.join(__dirname, "..")], {
    stdio: "inherit",
    windowsHide: false,
});
child.on("close", (code) => {
    process.exit(code !== null && code !== void 0 ? code : 0);
});
for (const signal of ["SIGINT", "SIGTERM"]) {
    process.on(signal, () => {
        if (!child.killed) {
            child.kill(signal);
        }
    });
}
