"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const extDir = window.location.hash.substr(1);
let isDirty = false;
let forceQuit = false;
window.addEventListener("beforeunload", (evt) => {
    if (!forceQuit && isDirty) {
        evt.returnValue = false;
        setTimeout(() => {
            if (electron_1.ipcRenderer.sendSync("close")) {
                forceQuit = true;
                window.close();
            }
        });
    }
});
// Expose protected methods that allow the renderer process to use
// the ipcRenderer without exposing the entire object
electron_1.contextBridge.exposeInMainWorld("electronBridge", {
    loadFiles() {
        return electron_1.ipcRenderer.sendSync("load-files", extDir);
    },
    saveFiles(files) {
        const error = electron_1.ipcRenderer.sendSync("save-files", extDir, files);
        if (!error)
            isDirty = false;
        return error;
    },
    setDirty(dirty) {
        isDirty = dirty;
    },
    openDirectory() {
        electron_1.ipcRenderer.send("open-directory");
    },
    openBrowser(url) {
        electron_1.shell.openExternal(url);
    },
});
